import { EventEmitter } from "@angular/core";
import { Icon } from "../../enum/icon.enum";
import { IconCacheService } from "../../service/icon-cache.service";
export declare class LayoutSwitcherComponent {
    iconCacheService: IconCacheService;
    readonly icon: typeof Icon;
    showClass(): boolean;
    layoutItems: string[];
    layoutSwitchEmit: EventEmitter<string>;
    get activeIndex(): number;
    set activeIndex(index: number);
    showMaskSidebar: boolean;
    private _activeIndex;
    constructor(iconCacheService: IconCacheService);
    toggleMaskSidebar(): void;
}
